@import 'variables';

section.intro {
    position: relative;
    color: $fontLightColor;
    padding-top: 90px;
    min-height: 100vh;
    height: fit-content;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    button.slider-btn {
        z-index: -100;
        display: none;
        @media screen and (min-width: $tablet) {
            display: flex;
            align-items: center;
            justify-content: center;
            position: absolute;
            z-index: 1;
            background: transparent;
            cursor: pointer;
            border: none;
            transition: transform 0.2s ease;
            svg {
                width: 9px;
                height: 19px;
            }
            &.prev {
                left: 0;
                width: 50px;
                height: 100%;
                &:hover {
                    transform: translateX(-10px);
                }
            }
            &.next {
                right: 0;
                width: 50px;
                height: 100%;
                &:hover {
                    transform: translateX(10px);
                }
            }
        }
        @media screen and (min-width: $sDesktop) {
            svg {
                width: 14px;
                height: 31px;
            }
            &.prev {
                width: 100px;
            }
            &.next {
                width: 100px;
            }
        }
        @media screen and (min-width: $Desktop) {
            svg {
                width: 21px;
                height: 48px;
            }
        }
    }
    @media screen and (min-width: $tablet) {
        min-height: fit-content;
        height: fit-content;
        padding-top: 40px;
    }
    @media screen and (min-width: $sDesktop) {
        padding-top: 66px;
    }
    @media screen and (min-width: $Desktop) {
        padding-top: 100px;
    }
    .intro-slider {
        width: 300%;
        min-height: calc(100vh - 90px);
        height: 100%;
        display: flex;
        flex-direction: row;
        align-self: flex-start;
        transform: translateX(33.3%);
        transition: transform 0.3s ease;
        @media screen and (min-width: $tablet) {
            min-height: calc(100vh - 40px);
            min-height: fit-content;
            height: fit-content;
        }
        @media screen and (min-width: $sDesktop) {
            min-height: fit-content;
            height: fit-content;
        }
        @media screen and (min-width: $Desktop) {
            min-height: fit-content;
            height: fit-content;
        }
    }
    .intro-bg {
        min-height: calc(100vh - 90px);
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        width: 100vw;
        padding: 90px 22px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        @media screen and (min-width: $tablet) {
            min-height: fit-content;
            height: auto;
            padding: 40px 22px;
            .intro-bg--inner {
                width: 100%;
                display: flex;
                align-self: center;
                align-items: center;
            }
        }
        @media screen and (min-width: $sDesktop) {
            min-height: fit-content;
            height: auto;
            padding: 66px 22px;
        }
        @media screen and (min-width: $Desktop) {
            min-height: fit-content;
            height: auto;
            padding: 138px 22px 165px 22px;
        }
        .intro-bg--text-content {
            span {
                font-size: 27px;
                font-weight: 900;
                text-transform: uppercase;
            }
            p {
                font-size: 18px;
                margin: 10px 0 30px 0;
            }
            .btn {
                width: fit-content;
                height: fit-content;
                border-radius: 4px;
                font-size: 18px;
                padding: 10px 48px;
            }
            @media screen and (min-width: $tablet) {
                span {
                    font-size: 18px;
                }
                p {
                    font-size: 14px;
                    margin: 2px 0 13px 0;
                }
                .btn {
                    font-size: 12px;
                    padding: 4px 15px;
                }
            }
            @media screen and (min-width: $sDesktop) {
                span {
                    font-size: 30px;
                }
                p {
                    font-size: 14px;
                    margin: 10px 0 20px 0;
                }
                .btn {
                    font-size: 14px;
                    padding: 7px 25px;
                }
            }
            @media screen and (min-width: $Desktop) {
                span {
                    font-size: 46px;
                }
                p {
                    font-size: 22px;
                    margin: 15px 0 30px 0;
                }
                .btn {
                    font-size: 22px;
                    padding: 11px 38px;
                }
            }
        }
        &:nth-child(1) {
            background-image: url('../imgs/intro1S.png');
            @media screen and (min-width: $tablet) {
                align-items: center;
                justify-content: space-between;
                .intro-bg--left {
                    max-width: 50%;
                }
                .intro-bg--right {
                    width: 50%;
                    display: flex;
                    align-self: center;
                    justify-content: flex-end;
                }
            }
            span {
                font-size: 7vw;
                font-weight: 900;
                @media screen and (min-width: $tablet) {
                    font-size: 18px;
                }
                @media screen and (min-width: $sDesktop) {
                    font-size: 30px;
                }
                @media screen and (min-width: $Desktop) {
                    font-size: 46px;
                }
            }
            p {
                font-size: 4.1vw;
                @media screen and (min-width: $tablet) {
                    font-size: 14px;
                }
                @media screen and (min-width: $sDesktop) {
                    font-size: 16px;
                }
                @media screen and (min-width: $Desktop) {
                    font-size: 22px;
                }
                &:nth-child(2n-2) {
                    margin-top: 10px;
                    margin-bottom: 5px;
                }
                &:nth-child(2n-1) {
                    margin-bottom: 30px;
                }
            }
        }
        &:nth-child(2) {
            background-image: url('../imgs/intro2S.png');
        }
        &:nth-child(3) {
            background-image: url('../imgs/intro3S.png');
        }
        .form-wrap {
            border-radius: 4px;
            padding: 25px 30px;
            background: white;
            @media screen and (min-width: $tablet) {
                padding: 10px 13px;
                height: fit-content;
                max-width: 80%;
            }
            @media screen and (min-width: $sDesktop) {
                padding: 19px 25px;
            }
            @media screen and (min-width: $Desktop) {
                padding: 35px 39px;
            }
            form {
                @media screen and (min-width: $tablet) {
                    width: fit-content;
                }
                label {
                    color: $labelColor;
                    font-size: 2.8vw;
                    @media screen and (min-width: $tablet) {
                        font-size: 8.5px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        font-size: 9px;
                    }
                    @media screen and (min-width: $Desktop) {
                        font-size: 10px;
                    }
                }
                input {
                    width: 100%;
                    padding: 11px 23px;
                    border: 1px solid $borderColor;
                    border-radius: 4px;
                    margin-top: 5px;
                    margin-bottom: 4px;
                    color: $DarkGreenColor;
                    @media screen and (min-width: $tablet) {
                        font-size: 7.5px;
                        padding: 6px 12px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        font-size: 10px;
                        padding: 10px 19px;
                        margin-bottom: 10px;
                    }
                    @media screen and (min-width: $Desktop) {
                        font-size: 16px;
                        padding: 15px 30px;
                        margin-bottom: 15px;
                    }
                }
                button {
                    width: 100%;
                    margin-top: 16px;
                    height: 40px;
                    border-radius: 4px;
                    @media screen and (min-width: $tablet) {
                        height: 22px;
                        font-size: 12px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        height: 33px;
                        font-size: 14px;
                    }
                    @media screen and (min-width: $Desktop) {
                        height: 52px;
                        margin-top: 10px;
                        font-size: 18px;
                    }
                }
                p {
                    font-size: 2.5vw;
                    color: #20212b;
                    margin-bottom: unset;
                    @media screen and (min-width: $tablet) {
                        font-size: 8px;
                    }
                    @media screen and (min-width: $sDesktop) {
                        font-size: 9px;
                    }
                    @media screen and (min-width: $Desktop) {
                        font-size: 11px;
                    }
                }
            }
        }
    }
    .dots {
        margin-bottom: 25px;
        position: absolute;
        bottom: 0;
        right: 50%;
        transform: translateX(50%);
        display: flex;
        .dot {
            border-radius: 50%;
            height: 10px;
            width: 10px;
            margin: 0 5px;
            background: #ffffff;
            transition: background-color 2s ease;
            @media screen and (min-width: $tablet) {
                height: 4px;
                width: 4px;
                margin: 0 2.5px;
            }
            @media screen and (min-width: $sDesktop) {
                height: 6px;
                width: 6px;
                margin: 0 3.5px;
            }
            @media screen and (min-width: $Desktop) {
                height: 10px;
                width: 10px;
                margin: 0 5px;
            }
            &.active {
                background: #c4c4c4;
            }
        }
        button {
            position: absolute;
            background: transparent;
            border: none;
            padding: 10px 30px;
            @media screen and (min-width: $tablet) {
                display: none;
            }
            svg {
                width: 10.5px;
                height: 24px;
            }
            &.prev {
                transform: translateX(-120px) translateY(-17px);
                transition: transform 0.2s ease;
                &:active {
                    transform: translateX(-125px) translateY(-17px);
                }
            }
            &.next {
                transform: translateX(114.5px) translateY(-17px);
                transition: transform 0.2s ease;
                &:active {
                    transform: translateX(124.5px) translateY(-17px);
                }
            }
        }
    }
}
